import getData from './internals/getData';
/**
 * Get all registered currencies
 * @returns - List of currencies, sorted by code alphabetically
 */
var getAll = function () {
    var data = getData();
    return Object
        .values(data)
        .reduce(function (all, settings) { return all.concat([settings]); }, [])
        .sort(function (a, b) { return a.code.localeCompare(b.code); });
};
export default getAll;
//# sourceMappingURL=getAll.js.map