var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import deepFreeze from 'deep-freeze';
import getData from './internals/getData';
import getDefaultSettings from '../Currency/getDefaultSettings';
import assertCurrencyCode from './internals/assertCurrencyCode';
/**
 * Set (register or replace) a currency
 * @param settings - Currency settings
 */
var register = function (settings) {
    var data = getData();
    var code = settings.code;
    assertCurrencyCode(code);
    var finalSettings = __assign({}, getDefaultSettings(code), { symbol: code }, settings);
    data[code] = deepFreeze(finalSettings);
};
export default register;
//# sourceMappingURL=register.js.map