import { Money } from '../..';
import { add, subtract, equals } from '..';
/**
 * Used by allocation methods to add the remainder to the array of allocations
 * @param allocations - an array of Money instances already allocated
 * @param remainder - a Money instance with the remainder yet to be added
 * to the array of allocations
 * @returns - the final allocations array of Money instances
 */
var addRemainderToAllocations = function (money, allocations, remainder) {
    var noMoney = new Money('0', money.currency);
    var i = 0;
    while (!equals(remainder, noMoney)) {
        allocations[i] = add(allocations[i], money.smallestUnit);
        remainder = subtract(remainder, money.smallestUnit);
        i++;
    }
    return allocations;
};
export default addRemainderToAllocations;
//# sourceMappingURL=addRemainderToAllocations.js.map