var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { Money } from '../../../Money';
import Currency from '../../../Currency';
/**
 * Get currency from the given settings and monetary value
 * @param settings - Formatting settings, currency code or currency
 * @param value - Monetary value to be formatted
 * @returns - Currency
 * @private
 */
var getCurrency = function (settings, value) {
    var finalSettings = {};
    if (value instanceof Money) {
        finalSettings = value.currency.settings;
    }
    if (typeof settings === 'object') {
        finalSettings = __assign({}, finalSettings, settings);
    }
    if (typeof settings === 'string') {
        finalSettings = {
            code: settings,
        };
    }
    return new Currency(finalSettings);
};
export default getCurrency;
//# sourceMappingURL=getCurrency.js.map