import BigNumber from 'bignumber.js';
import ROUNDING from '../../../constants/ROUNDING';
import { subtract, multiply, divide } from '..';
import addRemainderToAllocations from '../_internals/addRemainderToAllocations';
/**
 * Split the current value by an array of ratios
 * @param ratios - an array of numbers by which to divide up the current value
 * @returns - an array of new Money instances, resulting from splitting the current value
 */
var allocate = function (money, ratios) {
    var allocations = [], totalValue = money.clone(), total = ratios.reduce(function (total, ratio) { return total.plus(ratio); }, new BigNumber('0'));
    var remainder = money.clone();
    for (var _i = 0, ratios_1 = ratios; _i < ratios_1.length; _i++) {
        var ratio = ratios_1[_i];
        var share = multiply(totalValue, ratio, ROUNDING.FLOOR);
        share = divide(share, total.toString(), ROUNDING.FLOOR);
        allocations.push(share);
        remainder = subtract(remainder, share);
    }
    return addRemainderToAllocations(money, allocations, remainder);
};
export default allocate;
//# sourceMappingURL=index.js.map