import { Money } from '../../../Money';
import { convertBigNumberToStringInteger } from '../_internals';
import ROUNDING from '../../../constants/ROUNDING';
/**
 * Performs division
 * @param value - value to divide the current value by
 * @param rounding - rounding mode used in money operation
 * @returns - new Money instance after division
 */
var divide = function (money, value, rounding) {
    if (rounding === void 0) { rounding = ROUNDING.HALF_UP; }
    var newValue = money.value
        .dividedBy(value)
        .decimalPlaces(money.currency.decimalDigits, rounding);
    return new Money(convertBigNumberToStringInteger(money, newValue), money.currency);
};
export default divide;
//# sourceMappingURL=index.js.map