import Currency, { CurrencyInputSettings } from '../../../Currency';
import { Money } from '../..';
export interface FormattingSettings {
    thousandsSeparator?: CurrencyInputSettings['thousandsSeparator'];
    decimalSeparator?: CurrencyInputSettings['decimalSeparator'];
    decimalDigits?: CurrencyInputSettings['decimalDigits'];
    pattern?: CurrencyInputSettings['pattern'];
    symbol?: CurrencyInputSettings['symbol'];
    formatter?: CurrencyInputSettings['formatter'];
    parser?: CurrencyInputSettings['parser'];
    code?: CurrencyInputSettings['code'];
}
/**
 * Format money based on settings
 * @param value - Monetary value to be formatted
 * @param settings - Formatting settings, currency code or currency
 * @returns - Formatted money string
 */
declare const format: (value: Money, settings?: string | FormattingSettings | Currency | undefined) => string;
export default format;
