import { Money } from '../../../Money';
import { convertBigNumberToStringInteger } from '../_internals';
import ROUNDING from '../../../constants/ROUNDING';
/**
 * Performs multiplication
 * @param value - value to multiply the current value
 * @param rounding - rounding mode used in money operation
 * @returns - new Money instance after multiplication
 */
var multiply = function (money, value, rounding) {
    if (rounding === void 0) { rounding = ROUNDING.HALF_UP; }
    var newValue = money.value
        .times(value)
        .decimalPlaces(money.currency.decimalDigits, rounding);
    return new Money(convertBigNumberToStringInteger(money, newValue), money.currency);
};
export default multiply;
//# sourceMappingURL=index.js.map