/**
 * Replace all case-insensitive instances of a string in another string
 * @param source - source string
 * @param search - search string
 * @param replacement - replacement string
 * @returns - final string result
 */
var replaceAllStringInstances = function (source, search, replacement) {
    var esc = search.replace(/[-\/\\^$*+?.()|[\]{}]/g, '\\$&'), reg = new RegExp(esc, 'ig');
    return source.replace(reg, replacement);
};
/**
 * Replace multiple strings in another string
 * @param source - source string
 * @param group - search and replace string dictionary
 * @returns - final string result
 */
export var replaceMultipleStrings = function (source, group) {
    var result = source;
    for (var _i = 0, _a = Object.entries(group); _i < _a.length; _i++) {
        var _b = _a[_i], search = _b[0], replace = _b[1];
        result = replaceAllStringInstances(result, search, replace);
    }
    return result;
};
//# sourceMappingURL=internals.js.map