export var AED = {
    code: 'AED',
    symbol: 'د.إ.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var AFN = {
    code: 'AFN',
    symbol: '؋',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var ALL = {
    code: 'ALL',
    symbol: 'Lek',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var AMD = {
    code: 'AMD',
    symbol: '֏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var ANG = {
    code: 'ANG',
    symbol: 'ƒ',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var AOA = {
    code: 'AOA',
    symbol: 'Kz',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var ARS = {
    code: 'ARS',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var AUD = {
    code: 'AUD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var AWG = {
    code: 'AWG',
    symbol: 'ƒ',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var AZN = {
    code: 'AZN',
    symbol: '₼',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var BAM = {
    code: 'BAM',
    symbol: 'КМ',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var BBD = {
    code: 'BBD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var BDT = {
    code: 'BDT',
    symbol: '৳',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%s %ns%v',
};
export var BGN = {
    code: 'BGN',
    symbol: 'лв.',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var BHD = {
    code: 'BHD',
    symbol: 'د.ب.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
export var BIF = {
    code: 'BIF',
    symbol: 'FBu',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var BMD = {
    code: 'BMD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var BND = {
    code: 'BND',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var BOB = {
    code: 'BOB',
    symbol: 'Bs',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var BRL = {
    code: 'BRL',
    symbol: 'R$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var BSD = {
    code: 'BSD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var BTC = {
    code: 'BTC',
    symbol: 'Ƀ',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var BTN = {
    code: 'BTN',
    symbol: 'Nu.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 1,
    pattern: '%s %ns%v',
};
export var BWP = {
    code: 'BWP',
    symbol: 'P',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var BYR = {
    code: 'BYR',
    symbol: 'р.',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var BZD = {
    code: 'BZD',
    symbol: 'BZ$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var CAD = {
    code: 'CAD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var CDF = {
    code: 'CDF',
    symbol: 'FC',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var CHF = {
    code: 'CHF',
    symbol: 'CHF',
    thousandsSeparator: '\'',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var CLP = {
    code: 'CLP',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var CNY = {
    code: 'CNY',
    symbol: '¥',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var COP = {
    code: 'COP',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var CRC = {
    code: 'CRC',
    symbol: '₡',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var CUC = {
    code: 'CUC',
    symbol: 'CUC',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var CUP = {
    code: 'CUP',
    symbol: '$MN',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var CVE = {
    code: 'CVE',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var CZK = {
    code: 'CZK',
    symbol: 'Kč',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var DJF = {
    code: 'DJF',
    symbol: 'Fdj',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var DKK = {
    code: 'DKK',
    symbol: 'kr.',
    thousandsSeparator: '',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var DOP = {
    code: 'DOP',
    symbol: 'RD$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var DZD = {
    code: 'DZD',
    symbol: 'د.ج.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var EGP = {
    code: 'EGP',
    symbol: 'ج.م.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var ERN = {
    code: 'ERN',
    symbol: 'Nfk',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var ETB = {
    code: 'ETB',
    symbol: 'ETB',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var EUR = {
    code: 'EUR',
    symbol: '€',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var FJD = {
    code: 'FJD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var FKP = {
    code: 'FKP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var GBP = {
    code: 'GBP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var GEL = {
    code: 'GEL',
    symbol: 'Lari',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var GHS = {
    code: 'GHS',
    symbol: '₵',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var GIP = {
    code: 'GIP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var GMD = {
    code: 'GMD',
    symbol: 'D',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var GNF = {
    code: 'GNF',
    symbol: 'FG',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var GTQ = {
    code: 'GTQ',
    symbol: 'Q',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var GYD = {
    code: 'GYD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var HKD = {
    code: 'HKD',
    symbol: 'HK$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var HNL = {
    code: 'HNL',
    symbol: 'L.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var HRK = {
    code: 'HRK',
    symbol: 'kn',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var HTG = {
    code: 'HTG',
    symbol: 'G',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var HUF = {
    code: 'HUF',
    symbol: 'Ft',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var IDR = {
    code: 'IDR',
    symbol: 'Rp',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var ILS = {
    code: 'ILS',
    symbol: '₪',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var INR = {
    code: 'INR',
    symbol: '₹',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var IQD = {
    code: 'IQD',
    symbol: 'د.ع.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var IRR = {
    code: 'IRR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '/',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var ISK = {
    code: 'ISK',
    symbol: 'kr.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%v %s',
};
export var JMD = {
    code: 'JMD',
    symbol: 'J$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var JOD = {
    code: 'JOD',
    symbol: 'د.ا.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
export var JPY = {
    code: 'JPY',
    symbol: '¥',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var KES = {
    code: 'KES',
    symbol: 'KSh',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var KGS = {
    code: 'KGS',
    symbol: 'сом',
    thousandsSeparator: ' ',
    decimalSeparator: '-',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var KHR = {
    code: 'KHR',
    symbol: '៛',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var KMF = {
    code: 'KMF',
    symbol: 'CF',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var KPW = {
    code: 'KPW',
    symbol: '₩',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var KRW = {
    code: 'KRW',
    symbol: '₩',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var KWD = {
    code: 'KWD',
    symbol: 'د.ك.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
export var KYD = {
    code: 'KYD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var KZT = {
    code: 'KZT',
    symbol: '₸',
    thousandsSeparator: ' ',
    decimalSeparator: '-',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var LAK = {
    code: 'LAK',
    symbol: '₭',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var LBP = {
    code: 'LBP',
    symbol: 'ل.ل.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var LKR = {
    code: 'LKR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%s %ns%v',
};
export var LRD = {
    code: 'LRD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var LSL = {
    code: 'LSL',
    symbol: 'M',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var LYD = {
    code: 'LYD',
    symbol: 'د.ل.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%ns%s%v',
};
export var MAD = {
    code: 'MAD',
    symbol: 'د.م.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var MDL = {
    code: 'MDL',
    symbol: 'lei',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var MGA = {
    code: 'MGA',
    symbol: 'Ar',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var MKD = {
    code: 'MKD',
    symbol: 'ден.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var MMK = {
    code: 'MMK',
    symbol: 'K',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MNT = {
    code: 'MNT',
    symbol: '₮',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MOP = {
    code: 'MOP',
    symbol: 'MOP$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MRO = {
    code: 'MRO',
    symbol: 'UM',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var MTL = {
    code: 'MTL',
    symbol: '₤',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MUR = {
    code: 'MUR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MVR = {
    code: 'MVR',
    symbol: 'MVR',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 1,
    pattern: '%ns%v %s',
};
export var MWK = {
    code: 'MWK',
    symbol: 'MK',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MXN = {
    code: 'MXN',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MYR = {
    code: 'MYR',
    symbol: 'RM',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var MZN = {
    code: 'MZN',
    symbol: 'MT',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
export var NAD = {
    code: 'NAD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var NGN = {
    code: 'NGN',
    symbol: '₦',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var NIO = {
    code: 'NIO',
    symbol: 'C$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var NOK = {
    code: 'NOK',
    symbol: 'kr',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var NPR = {
    code: 'NPR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var NZD = {
    code: 'NZD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var OMR = {
    code: 'OMR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
export var PAB = {
    code: 'PAB',
    symbol: 'B/.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var PEN = {
    code: 'PEN',
    symbol: 'S/.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var PGK = {
    code: 'PGK',
    symbol: 'K',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var PHP = {
    code: 'PHP',
    symbol: '₱',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var PKR = {
    code: 'PKR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var PLN = {
    code: 'PLN',
    symbol: 'zł',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var PYG = {
    code: 'PYG',
    symbol: '₲',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var QAR = {
    code: 'QAR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var RON = {
    code: 'RON',
    symbol: 'lei',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var RSD = {
    code: 'RSD',
    symbol: 'Дин.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var RUB = {
    code: 'RUB',
    symbol: '₽',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var RWF = {
    code: 'RWF',
    symbol: 'RWF',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var SAR = {
    code: 'SAR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var SBD = {
    code: 'SBD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SCR = {
    code: 'SCR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SDD = {
    code: 'SDD',
    symbol: 'LSd',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var SDG = {
    code: 'SDG',
    symbol: '£‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SEK = {
    code: 'SEK',
    symbol: 'kr',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var SGD = {
    code: 'SGD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SHP = {
    code: 'SHP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SLL = {
    code: 'SLL',
    symbol: 'Le',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SOS = {
    code: 'SOS',
    symbol: 'S',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SRD = {
    code: 'SRD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var STD = {
    code: 'STD',
    symbol: 'Db',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SVC = {
    code: 'SVC',
    symbol: '₡',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var SYP = {
    code: 'SYP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var SZL = {
    code: 'SZL',
    symbol: 'E',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var THB = {
    code: 'THB',
    symbol: '฿',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var TJS = {
    code: 'TJS',
    symbol: 'TJS',
    thousandsSeparator: ' ',
    decimalSeparator: ';',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var TMT = {
    code: 'TMT',
    symbol: 'm',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var TND = {
    code: 'TND',
    symbol: 'د.ت.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
export var TOP = {
    code: 'TOP',
    symbol: 'T$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var TRY = {
    code: 'TRY',
    symbol: 'TL',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var TTD = {
    code: 'TTD',
    symbol: 'TT$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var TVD = {
    code: 'TVD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var TWD = {
    code: 'TWD',
    symbol: 'NT$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var TZS = {
    code: 'TZS',
    symbol: 'TSh',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var UAH = {
    code: 'UAH',
    symbol: '₴',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var UGX = {
    code: 'UGX',
    symbol: 'USh',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var USD = {
    code: 'USD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var UYU = {
    code: 'UYU',
    symbol: '$U',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var UZS = {
    code: 'UZS',
    symbol: 'сўм',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
export var VEB = {
    code: 'VEB',
    symbol: 'Bs.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var VEF = {
    code: 'VEF',
    symbol: 'Bs. F.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var VND = {
    code: 'VND',
    symbol: '₫',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 1,
    pattern: '%ns%v %s',
};
export var VUV = {
    code: 'VUV',
    symbol: 'VT',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
export var WST = {
    code: 'WST',
    symbol: 'WS$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var XAF = {
    code: 'XAF',
    symbol: 'F',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var XCD = {
    code: 'XCD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var XOF = {
    code: 'XOF',
    symbol: 'F',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var XPF = {
    code: 'XPF',
    symbol: 'F',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
export var YER = {
    code: 'YER',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
export var ZAR = {
    code: 'ZAR',
    symbol: 'R',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var ZMW = {
    code: 'ZMW',
    symbol: 'ZK',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
export var WON = {
    code: 'WON',
    symbol: '₩',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
//# sourceMappingURL=ISO_CURRENCIES.js.map