var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import WealthError from '../WealthError';
/**
 * Error thrown when the currency of a parameter
 * doesn't match the currency of the current "Money" object.
 * @example
 * Basic usage
 * ```js
 * try {
 *  // operation
 * }
 * catch(e) {
 *  if(e instanceof CurrencyMismatchError) {
 *      // handle error
 *  }
 * }
 * ```
 */
var CurrencyMismatchError = /** @class */ (function (_super) {
    __extends(CurrencyMismatchError, _super);
    /**
     * @param message - Error message
     */
    function CurrencyMismatchError(message) {
        if (message === void 0) { message = 'Currency mismatch between values'; }
        /* istanbul ignore next */
        return _super.call(this, message) || this;
    }
    return CurrencyMismatchError;
}(WealthError));
export default CurrencyMismatchError;
//# sourceMappingURL=index.js.map