"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getData_1 = __importDefault(require("./internals/getData"));
var isRegistered_1 = __importDefault(require("./isRegistered"));
var InvalidCurrencyError_1 = __importDefault(require("../errors/InvalidCurrencyError"));
var assertCurrencyCode_1 = __importDefault(require("./internals/assertCurrencyCode"));
/**
 * Get currency settings
 * @param code - Currency code
 * @returns - Currency settings
 */
var get = function (code) {
    var data = getData_1.default();
    assertCurrencyCode_1.default(code);
    if (!isRegistered_1.default(code)) {
        throw new InvalidCurrencyError_1.default("No currency with code \"" + code + "\" is registered.");
    }
    return data[code];
};
exports.default = get;
//# sourceMappingURL=get.js.map