"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getData_1 = __importDefault(require("./internals/getData"));
/**
 * Get all registered currencies
 * @returns - List of currencies, sorted by code alphabetically
 */
var getAll = function () {
    var data = getData_1.default();
    return Object
        .values(data)
        .reduce(function (all, settings) { return all.concat([settings]); }, [])
        .sort(function (a, b) { return a.code.localeCompare(b.code); });
};
exports.default = getAll;
//# sourceMappingURL=getAll.js.map