"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var deep_freeze_1 = __importDefault(require("deep-freeze"));
var getData_1 = __importDefault(require("./internals/getData"));
var getDefaultSettings_1 = __importDefault(require("../Currency/getDefaultSettings"));
var assertCurrencyCode_1 = __importDefault(require("./internals/assertCurrencyCode"));
/**
 * Set (register or replace) a currency
 * @param settings - Currency settings
 */
var register = function (settings) {
    var data = getData_1.default();
    var code = settings.code;
    assertCurrencyCode_1.default(code);
    var finalSettings = __assign({}, getDefaultSettings_1.default(code), { symbol: code }, settings);
    data[code] = deep_freeze_1.default(finalSettings);
};
exports.default = register;
//# sourceMappingURL=register.js.map