"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __1 = require("../..");
var __2 = require("..");
/**
 * Used by allocation methods to add the remainder to the array of allocations
 * @param allocations - an array of Money instances already allocated
 * @param remainder - a Money instance with the remainder yet to be added
 * to the array of allocations
 * @returns - the final allocations array of Money instances
 */
var addRemainderToAllocations = function (money, allocations, remainder) {
    var noMoney = new __1.Money('0', money.currency);
    var i = 0;
    while (!__2.equals(remainder, noMoney)) {
        allocations[i] = __2.add(allocations[i], money.smallestUnit);
        remainder = __2.subtract(remainder, money.smallestUnit);
        i++;
    }
    return allocations;
};
exports.default = addRemainderToAllocations;
//# sourceMappingURL=addRemainderToAllocations.js.map