"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var bignumber_js_1 = __importDefault(require("bignumber.js"));
/**
 * Get the smallest unit divisor for the current value's currency,
 * i.e., 10 to the power of the currency's decimal digits.
 * It is used for converting an integer value to a float value (or vice versa).
 * @returns - Smallest unit divisor
 */
var getSmallestUnitDivisor = function (money) {
    var decimalDigits = money.currency.decimalDigits;
    return (new bignumber_js_1.default('10')).exponentiatedBy(decimalDigits);
};
exports.default = getSmallestUnitDivisor;
//# sourceMappingURL=getSmallestUnitDivisor.js.map