"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var bignumber_js_1 = __importDefault(require("bignumber.js"));
var ROUNDING_1 = __importDefault(require("../../../constants/ROUNDING"));
var __1 = require("..");
var addRemainderToAllocations_1 = __importDefault(require("../_internals/addRemainderToAllocations"));
/**
 * Split the current value by an array of ratios
 * @param ratios - an array of numbers by which to divide up the current value
 * @returns - an array of new Money instances, resulting from splitting the current value
 */
var allocate = function (money, ratios) {
    var allocations = [], totalValue = money.clone(), total = ratios.reduce(function (total, ratio) { return total.plus(ratio); }, new bignumber_js_1.default('0'));
    var remainder = money.clone();
    for (var _i = 0, ratios_1 = ratios; _i < ratios_1.length; _i++) {
        var ratio = ratios_1[_i];
        var share = __1.multiply(totalValue, ratio, ROUNDING_1.default.FLOOR);
        share = __1.divide(share, total.toString(), ROUNDING_1.default.FLOOR);
        allocations.push(share);
        remainder = __1.subtract(remainder, share);
    }
    return addRemainderToAllocations_1.default(money, allocations, remainder);
};
exports.default = allocate;
//# sourceMappingURL=index.js.map