"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var ROUNDING_1 = __importDefault(require("../../../constants/ROUNDING"));
var __1 = require("..");
var addRemainderToAllocations_1 = __importDefault(require("../_internals/addRemainderToAllocations"));
/**
 * Split the current value by the count
 * @param count - count by which to allocate the current value (must be a 1+ integer)
 * @returns - an array of new Money instances, resulting from splitting the current value
 */
var allocateBy = function (money, count) {
    var allocations = [], totalValue = money.clone(), baseShare = __1.divide(totalValue, count, ROUNDING_1.default.FLOOR), remainder = __1.subtract(totalValue, __1.multiply(baseShare, count, ROUNDING_1.default.FLOOR));
    for (var i = 0; i < count; i++) {
        allocations.push(baseShare.clone());
    }
    return addRemainderToAllocations_1.default(money, allocations, remainder);
};
exports.default = allocateBy;
//# sourceMappingURL=index.js.map