"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
var _internals_1 = require("../_internals");
var ROUNDING_1 = __importDefault(require("../../../constants/ROUNDING"));
/**
 * Performs multiplication
 * @param value - value to multiply the current value
 * @param rounding - rounding mode used in money operation
 * @returns - new Money instance after multiplication
 */
var multiply = function (money, value, rounding) {
    if (rounding === void 0) { rounding = ROUNDING_1.default.HALF_UP; }
    var newValue = money.value
        .times(value)
        .decimalPlaces(money.currency.decimalDigits, rounding);
    return new Money_1.Money(_internals_1.convertBigNumberToStringInteger(money, newValue), money.currency);
};
exports.default = multiply;
//# sourceMappingURL=index.js.map