"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Money_1 = require("../../../Money");
var _internals_1 = require("../_internals");
var internals_1 = require("./internals");
/**
 * Parse money based on settings
 * @param value - Monetary value to be parsed
 * @param settings - Parsing settings, currency code or currency
 * @returns - Parsed "Money" value
 */
var parse = function (value, settings) {
    var _a;
    var currency = _internals_1.getCurrency(settings), _b = currency.settings, symbol = _b.symbol, code = _b.code, thousandsSeparator = _b.thousandsSeparator, decimalSeparator = _b.decimalSeparator, decimalDigits = _b.decimalDigits, pattern = _b.pattern, parser = _b.parser;
    var numberValue = internals_1.replaceMultipleStrings(value, (_a = {},
        _a[thousandsSeparator] = '',
        _a[symbol] = '',
        _a[code] = '',
        _a[decimalSeparator] = '',
        _a))
        .replace(/\s/g, '');
    var defaultParsed = new Money_1.Money(numberValue, currency);
    if (typeof parser === 'function') {
        return parser({
            symbol: symbol,
            code: code,
            thousandsSeparator: thousandsSeparator,
            decimalSeparator: decimalSeparator,
            decimalDigits: decimalDigits,
            pattern: pattern,
            value: value,
            defaultParsed: defaultParsed,
        });
    }
    return defaultParsed;
};
exports.default = parse;
//# sourceMappingURL=index.js.map