"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AED = {
    code: 'AED',
    symbol: 'د.إ.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.AFN = {
    code: 'AFN',
    symbol: '؋',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.ALL = {
    code: 'ALL',
    symbol: 'Lek',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.AMD = {
    code: 'AMD',
    symbol: '֏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.ANG = {
    code: 'ANG',
    symbol: 'ƒ',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.AOA = {
    code: 'AOA',
    symbol: 'Kz',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.ARS = {
    code: 'ARS',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.AUD = {
    code: 'AUD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.AWG = {
    code: 'AWG',
    symbol: 'ƒ',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.AZN = {
    code: 'AZN',
    symbol: '₼',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.BAM = {
    code: 'BAM',
    symbol: 'КМ',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.BBD = {
    code: 'BBD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.BDT = {
    code: 'BDT',
    symbol: '৳',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%s %ns%v',
};
exports.BGN = {
    code: 'BGN',
    symbol: 'лв.',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.BHD = {
    code: 'BHD',
    symbol: 'د.ب.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
exports.BIF = {
    code: 'BIF',
    symbol: 'FBu',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.BMD = {
    code: 'BMD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.BND = {
    code: 'BND',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.BOB = {
    code: 'BOB',
    symbol: 'Bs',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.BRL = {
    code: 'BRL',
    symbol: 'R$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.BSD = {
    code: 'BSD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.BTC = {
    code: 'BTC',
    symbol: 'Ƀ',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.BTN = {
    code: 'BTN',
    symbol: 'Nu.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 1,
    pattern: '%s %ns%v',
};
exports.BWP = {
    code: 'BWP',
    symbol: 'P',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.BYR = {
    code: 'BYR',
    symbol: 'р.',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.BZD = {
    code: 'BZD',
    symbol: 'BZ$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.CAD = {
    code: 'CAD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.CDF = {
    code: 'CDF',
    symbol: 'FC',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.CHF = {
    code: 'CHF',
    symbol: 'CHF',
    thousandsSeparator: '\'',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.CLP = {
    code: 'CLP',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.CNY = {
    code: 'CNY',
    symbol: '¥',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.COP = {
    code: 'COP',
    symbol: '$',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.CRC = {
    code: 'CRC',
    symbol: '₡',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.CUC = {
    code: 'CUC',
    symbol: 'CUC',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.CUP = {
    code: 'CUP',
    symbol: '$MN',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.CVE = {
    code: 'CVE',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.CZK = {
    code: 'CZK',
    symbol: 'Kč',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.DJF = {
    code: 'DJF',
    symbol: 'Fdj',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.DKK = {
    code: 'DKK',
    symbol: 'kr.',
    thousandsSeparator: '',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.DOP = {
    code: 'DOP',
    symbol: 'RD$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.DZD = {
    code: 'DZD',
    symbol: 'د.ج.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.EGP = {
    code: 'EGP',
    symbol: 'ج.م.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.ERN = {
    code: 'ERN',
    symbol: 'Nfk',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.ETB = {
    code: 'ETB',
    symbol: 'ETB',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.EUR = {
    code: 'EUR',
    symbol: '€',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.FJD = {
    code: 'FJD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.FKP = {
    code: 'FKP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.GBP = {
    code: 'GBP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.GEL = {
    code: 'GEL',
    symbol: 'Lari',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.GHS = {
    code: 'GHS',
    symbol: '₵',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.GIP = {
    code: 'GIP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.GMD = {
    code: 'GMD',
    symbol: 'D',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.GNF = {
    code: 'GNF',
    symbol: 'FG',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.GTQ = {
    code: 'GTQ',
    symbol: 'Q',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.GYD = {
    code: 'GYD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.HKD = {
    code: 'HKD',
    symbol: 'HK$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.HNL = {
    code: 'HNL',
    symbol: 'L.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.HRK = {
    code: 'HRK',
    symbol: 'kn',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.HTG = {
    code: 'HTG',
    symbol: 'G',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.HUF = {
    code: 'HUF',
    symbol: 'Ft',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.IDR = {
    code: 'IDR',
    symbol: 'Rp',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.ILS = {
    code: 'ILS',
    symbol: '₪',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.INR = {
    code: 'INR',
    symbol: '₹',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.IQD = {
    code: 'IQD',
    symbol: 'د.ع.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.IRR = {
    code: 'IRR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '/',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.ISK = {
    code: 'ISK',
    symbol: 'kr.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%v %s',
};
exports.JMD = {
    code: 'JMD',
    symbol: 'J$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.JOD = {
    code: 'JOD',
    symbol: 'د.ا.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
exports.JPY = {
    code: 'JPY',
    symbol: '¥',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.KES = {
    code: 'KES',
    symbol: 'KSh',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.KGS = {
    code: 'KGS',
    symbol: 'сом',
    thousandsSeparator: ' ',
    decimalSeparator: '-',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.KHR = {
    code: 'KHR',
    symbol: '៛',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.KMF = {
    code: 'KMF',
    symbol: 'CF',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.KPW = {
    code: 'KPW',
    symbol: '₩',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.KRW = {
    code: 'KRW',
    symbol: '₩',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.KWD = {
    code: 'KWD',
    symbol: 'د.ك.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
exports.KYD = {
    code: 'KYD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.KZT = {
    code: 'KZT',
    symbol: '₸',
    thousandsSeparator: ' ',
    decimalSeparator: '-',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.LAK = {
    code: 'LAK',
    symbol: '₭',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.LBP = {
    code: 'LBP',
    symbol: 'ل.ل.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.LKR = {
    code: 'LKR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%s %ns%v',
};
exports.LRD = {
    code: 'LRD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.LSL = {
    code: 'LSL',
    symbol: 'M',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.LYD = {
    code: 'LYD',
    symbol: 'د.ل.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%ns%s%v',
};
exports.MAD = {
    code: 'MAD',
    symbol: 'د.م.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.MDL = {
    code: 'MDL',
    symbol: 'lei',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.MGA = {
    code: 'MGA',
    symbol: 'Ar',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.MKD = {
    code: 'MKD',
    symbol: 'ден.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.MMK = {
    code: 'MMK',
    symbol: 'K',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MNT = {
    code: 'MNT',
    symbol: '₮',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MOP = {
    code: 'MOP',
    symbol: 'MOP$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MRO = {
    code: 'MRO',
    symbol: 'UM',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.MTL = {
    code: 'MTL',
    symbol: '₤',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MUR = {
    code: 'MUR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MVR = {
    code: 'MVR',
    symbol: 'MVR',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 1,
    pattern: '%ns%v %s',
};
exports.MWK = {
    code: 'MWK',
    symbol: 'MK',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MXN = {
    code: 'MXN',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MYR = {
    code: 'MYR',
    symbol: 'RM',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.MZN = {
    code: 'MZN',
    symbol: 'MT',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%s%v',
};
exports.NAD = {
    code: 'NAD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.NGN = {
    code: 'NGN',
    symbol: '₦',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.NIO = {
    code: 'NIO',
    symbol: 'C$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.NOK = {
    code: 'NOK',
    symbol: 'kr',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.NPR = {
    code: 'NPR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.NZD = {
    code: 'NZD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.OMR = {
    code: 'OMR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
exports.PAB = {
    code: 'PAB',
    symbol: 'B/.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.PEN = {
    code: 'PEN',
    symbol: 'S/.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.PGK = {
    code: 'PGK',
    symbol: 'K',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.PHP = {
    code: 'PHP',
    symbol: '₱',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.PKR = {
    code: 'PKR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.PLN = {
    code: 'PLN',
    symbol: 'zł',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.PYG = {
    code: 'PYG',
    symbol: '₲',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.QAR = {
    code: 'QAR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.RON = {
    code: 'RON',
    symbol: 'lei',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.RSD = {
    code: 'RSD',
    symbol: 'Дин.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.RUB = {
    code: 'RUB',
    symbol: '₽',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.RWF = {
    code: 'RWF',
    symbol: 'RWF',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.SAR = {
    code: 'SAR',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.SBD = {
    code: 'SBD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SCR = {
    code: 'SCR',
    symbol: '₨',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SDD = {
    code: 'SDD',
    symbol: 'LSd',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.SDG = {
    code: 'SDG',
    symbol: '£‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SEK = {
    code: 'SEK',
    symbol: 'kr',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.SGD = {
    code: 'SGD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SHP = {
    code: 'SHP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SLL = {
    code: 'SLL',
    symbol: 'Le',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SOS = {
    code: 'SOS',
    symbol: 'S',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SRD = {
    code: 'SRD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.STD = {
    code: 'STD',
    symbol: 'Db',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SVC = {
    code: 'SVC',
    symbol: '₡',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.SYP = {
    code: 'SYP',
    symbol: '£',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.SZL = {
    code: 'SZL',
    symbol: 'E',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.THB = {
    code: 'THB',
    symbol: '฿',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.TJS = {
    code: 'TJS',
    symbol: 'TJS',
    thousandsSeparator: ' ',
    decimalSeparator: ';',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.TMT = {
    code: 'TMT',
    symbol: 'm',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.TND = {
    code: 'TND',
    symbol: 'د.ت.‏',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 3,
    pattern: '%s %ns%v',
};
exports.TOP = {
    code: 'TOP',
    symbol: 'T$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.TRY = {
    code: 'TRY',
    symbol: 'TL',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.TTD = {
    code: 'TTD',
    symbol: 'TT$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.TVD = {
    code: 'TVD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.TWD = {
    code: 'TWD',
    symbol: 'NT$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.TZS = {
    code: 'TZS',
    symbol: 'TSh',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.UAH = {
    code: 'UAH',
    symbol: '₴',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.UGX = {
    code: 'UGX',
    symbol: 'USh',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.USD = {
    code: 'USD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.UYU = {
    code: 'UYU',
    symbol: '$U',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.UZS = {
    code: 'UZS',
    symbol: 'сўм',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v %s',
};
exports.VEB = {
    code: 'VEB',
    symbol: 'Bs.',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.VEF = {
    code: 'VEF',
    symbol: 'Bs. F.',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.VND = {
    code: 'VND',
    symbol: '₫',
    thousandsSeparator: '.',
    decimalSeparator: ',',
    decimalDigits: 1,
    pattern: '%ns%v %s',
};
exports.VUV = {
    code: 'VUV',
    symbol: 'VT',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 0,
    pattern: '%ns%v%s',
};
exports.WST = {
    code: 'WST',
    symbol: 'WS$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.XAF = {
    code: 'XAF',
    symbol: 'F',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.XCD = {
    code: 'XCD',
    symbol: '$',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.XOF = {
    code: 'XOF',
    symbol: 'F',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.XPF = {
    code: 'XPF',
    symbol: 'F',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%v%s',
};
exports.YER = {
    code: 'YER',
    symbol: '﷼',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%s %ns%v',
};
exports.ZAR = {
    code: 'ZAR',
    symbol: 'R',
    thousandsSeparator: ' ',
    decimalSeparator: ',',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.ZMW = {
    code: 'ZMW',
    symbol: 'ZK',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
exports.WON = {
    code: 'WON',
    symbol: '₩',
    thousandsSeparator: ',',
    decimalSeparator: '.',
    decimalDigits: 2,
    pattern: '%ns%s%v',
};
//# sourceMappingURL=ISO_CURRENCIES.js.map